Index: code/branches/presentationHS15/src/modules/weapons/WeaponsPrereqs.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/WeaponsPrereqs.h	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/WeaponsPrereqs.h	(revision 10961)
@@ -69,11 +69,15 @@
 {
     class MuzzleFlash;
+    class IceGunFreezer;
+    class RocketController;
 
     // munitions
     class FusionMunition;
     class LaserMunition;
-    class ReplenishingMunition;
     class RocketMunition;
     class GravityBombMuntion;
+    class IceMunition;
+    class LightningMunition;
+    class SplitMunition;
 
     // projectiles
@@ -81,5 +85,8 @@
     class LightningGunProjectile;
     class ParticleProjectile;
+    class IceProjectile;
+    class SplitProjectile;
     class Projectile;
+    class BasicProjectile;
     class Rocket;
     class RocketOld;
@@ -91,4 +98,6 @@
     class FusionFire;
     class HsW01;
+    class IceGun;
+    class SplitGun;
     class LaserFire;
     class LightningGun;
Index: code/branches/presentationHS15/src/modules/weapons/munitions/CMakeLists.txt
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/CMakeLists.txt	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/CMakeLists.txt	(revision 10961)
@@ -1,5 +1,5 @@
 ADD_SOURCE_FILES(WEAPONS_SRC_FILES
-  ReplenishingMunition.cc
   LaserMunition.cc
+  LightningMunition.cc
   FusionMunition.cc
   RocketMunition.cc
Index: code/branches/presentationHS15/src/modules/weapons/munitions/FusionMunition.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/FusionMunition.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/FusionMunition.cc	(revision 10961)
@@ -28,5 +28,5 @@
 
 /**
-    @file FusionMunition.h
+    @file FusionMunition.cc
     @brief Implementation of the FusionMunition class.
 */
@@ -34,4 +34,5 @@
 #include "FusionMunition.h"
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 
 namespace orxonox
@@ -45,12 +46,19 @@
         this->maxMunitionPerMagazine_ = 10;
         this->maxMagazines_ = 10;
-        this->magazines_ = 10;
+        this->unassignedMagazines_ = 10;
 
-        this->bUseSeparateMagazines_ = true;
-        this->bStackMunition_ = false;
+        this->deployment_ = MunitionDeployment::Separate;
+
         this->reloadTime_ = 1.0f;
 
         this->bAllowMunitionRefilling_ = true;
         this->bAllowMultiMunitionRemovementUnderflow_ = true;
+
+        this->reloadTime_ = 0.5f;
+    }
+
+    void FusionMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(FusionMunition, XMLPort, xmlelement, mode);
     }
 }
Index: code/branches/presentationHS15/src/modules/weapons/munitions/FusionMunition.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/FusionMunition.h	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/FusionMunition.h	(revision 10961)
@@ -53,4 +53,5 @@
             FusionMunition(Context* context);
             virtual ~FusionMunition() {}
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/presentationHS15/src/modules/weapons/munitions/GravityBombMunition.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/GravityBombMunition.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/GravityBombMunition.cc	(revision 10961)
@@ -7,4 +7,5 @@
 #include "GravityBombMunition.h"
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 
 namespace orxonox
@@ -17,13 +18,18 @@
         this->maxMunitionPerMagazine_ = 1;
         this->maxMagazines_ = 30;
-        this->magazines_ = 15;
+        this->unassignedMagazines_ = 15;
 
-        this->bUseSeparateMagazines_ = false;
-        this->bStackMunition_ = true;
+        this->deployment_ = MunitionDeployment::Stack;
 
         this->bAllowMunitionRefilling_ = true;
         this->bAllowMultiMunitionRemovementUnderflow_ = false;
+
+        this->reloadTime_ = 0.0f;
     }
 
+    void GravityBombMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(GravityBombMunition, XMLPort, xmlelement, mode);
+    }
 }
 
Index: code/branches/presentationHS15/src/modules/weapons/munitions/GravityBombMunition.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/GravityBombMunition.h	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/GravityBombMunition.h	(revision 10961)
@@ -28,4 +28,5 @@
             GravityBombMunition(Context* context);
             virtual ~GravityBombMunition() {}
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 
Index: code/branches/presentationHS15/src/modules/weapons/munitions/IceMunition.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/IceMunition.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/IceMunition.cc	(revision 10961)
@@ -28,5 +28,5 @@
 
 /**
-    @file IceMunition.h
+    @file IceMunition.cc
     @brief Implementation of the IceMunition class.
 */
@@ -34,4 +34,5 @@
 #include "IceMunition.h"
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 
 namespace orxonox
@@ -45,11 +46,17 @@
         this->maxMunitionPerMagazine_ = 1;
         this->maxMagazines_ = 50;
-        this->magazines_ = 25;
+        this->unassignedMagazines_ = 25;
 
-        this->bUseSeparateMagazines_ = false;
-        this->bStackMunition_ = true;
+        this->deployment_ = MunitionDeployment::Stack;
 
-        this->bAllowMunitionRefilling_ = false;
+        this->bAllowMunitionRefilling_ = true;
         this->bAllowMultiMunitionRemovementUnderflow_ = false;
+
+        this->reloadTime_ = 0.5f;
+    }
+
+    void IceMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(IceMunition, XMLPort, xmlelement, mode);
     }
 }
Index: code/branches/presentationHS15/src/modules/weapons/munitions/IceMunition.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/IceMunition.h	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/IceMunition.h	(revision 10961)
@@ -53,4 +53,5 @@
             IceMunition(Context* context);
             virtual ~IceMunition() {}
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/presentationHS15/src/modules/weapons/munitions/LaserMunition.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/LaserMunition.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/LaserMunition.cc	(revision 10961)
@@ -28,5 +28,5 @@
 
 /**
-    @file LaserMunition.h
+    @file LaserMunition.cc
     @brief Implementation of the LaserMunition class.
 */
@@ -34,4 +34,5 @@
 #include "LaserMunition.h"
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 
 namespace orxonox
@@ -44,15 +45,21 @@
 
         this->maxMunitionPerMagazine_ = 20;
-        this->maxMagazines_ = 1;
-        this->magazines_ = 1;
+        this->maxMagazines_ = 10;
+        this->unassignedMagazines_ = 10;
 
-        this->bUseSeparateMagazines_ = false;
-        this->bStackMunition_ = true;
+        this->deployment_ = MunitionDeployment::Separate;
 
         this->bAllowMunitionRefilling_ = true;
         this->bAllowMultiMunitionRemovementUnderflow_ = true;
 
-        this->replenishInterval_ = 0.5f;
-        this->replenishMunitionAmount_ = 1;
+        this->replenishInterval_ = 7.0f;
+        this->replenishAmount_ = 1;
+
+        this->reloadTime_ = 0.5f;
+    }
+
+    void LaserMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(LaserMunition, XMLPort, xmlelement, mode);
     }
 }
Index: code/branches/presentationHS15/src/modules/weapons/munitions/LaserMunition.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/LaserMunition.h	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/LaserMunition.h	(revision 10961)
@@ -36,5 +36,5 @@
 
 #include "weapons/WeaponsPrereqs.h"
-#include "ReplenishingMunition.h"
+#include "weaponsystem/ReplenishingMunition.h"
 
 namespace orxonox
@@ -53,4 +53,5 @@
             LaserMunition(Context* context);
             virtual ~LaserMunition() {}
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/presentationHS15/src/modules/weapons/munitions/LightningMunition.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/LightningMunition.cc	(revision 10961)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/LightningMunition.cc	(revision 10961)
@@ -0,0 +1,62 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabien Vultier
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file LightningMunition.cc
+    @brief Implementation of the LightningMunition class.
+*/
+
+#include "LightningMunition.h"
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+
+namespace orxonox
+{
+    RegisterClass(LightningMunition);
+
+    LightningMunition::LightningMunition(Context* context) : Munition(context)
+    {
+        RegisterObject(LightningMunition);
+
+        this->maxMunitionPerMagazine_ = 20;
+        this->maxMagazines_ = 1;
+        this->unassignedMagazines_ = 1;
+
+        this->deployment_ = MunitionDeployment::Share;
+
+        this->bAllowMunitionRefilling_ = true;
+        this->bAllowMultiMunitionRemovementUnderflow_ = true;
+
+        this->reloadTime_ = 0.5f;    
+    }
+
+    void LightningMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(LightningMunition, XMLPort, xmlelement, mode);
+    }
+}
Index: code/branches/presentationHS15/src/modules/weapons/munitions/LightningMunition.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/LightningMunition.h	(revision 10961)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/LightningMunition.h	(revision 10961)
@@ -0,0 +1,59 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabien Vultier
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file LightningMunition.h
+    @brief Definition of the LightningMunition class.
+*/
+
+#ifndef _LightningMunition_H__
+#define _LightningMunition_H__
+
+#include "weapons/WeaponsPrereqs.h"
+#include "weaponsystem/Munition.h"
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        LightningMunition.
+    @author
+        Fabien Vultier
+    @ingroup WeaponsMunitions
+    */
+    class _WeaponsExport LightningMunition : public Munition
+    {
+        public:
+            LightningMunition(Context* context);
+            virtual ~LightningMunition() {}
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+    };
+}
+
+#endif /* _LightningMunition_H__ */
Index: code/branches/presentationHS15/src/modules/weapons/munitions/ReplenishingMunition.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/ReplenishingMunition.cc	(revision 10959)
+++ 	(revision )
@@ -1,75 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file ReplenishingMunition.h
-    @brief Implementation of the ReplenishingMunition class.
-*/
-
-#include "ReplenishingMunition.h"
-
-#include "core/CoreIncludes.h"
-#include "core/command/Executor.h"
-
-namespace orxonox
-{
-    RegisterClass(ReplenishingMunition);
-
-    ReplenishingMunition::ReplenishingMunition(Context* context) : Munition(context)
-    {
-        RegisterObject(ReplenishingMunition);
-
-        this->replenishInterval_ = 1.0f;
-        this->replenishMunitionAmount_ = 1;
-
-        // Use the timer to initialize itself after the first tick (because the real values for
-        // replenishIntervall_ and replenishMunitionAmount_ will be set in the constructor of the
-        // inheriting class, which comes after this constructor)
-        this->replenishingTimer_.setTimer(0.0f, false, createExecutor(createFunctor(&ReplenishingMunition::initializeTimer, this)));
-    }
-
-    void ReplenishingMunition::initializeTimer()
-    {
-        // Initialize the timer
-        this->replenishingTimer_.setTimer(this->replenishInterval_, true, createExecutor(createFunctor(&ReplenishingMunition::replenish, this)));
-    }
-
-    void ReplenishingMunition::replenish()
-    {
-        // Make a temporary copy of bAllowMunitionRefilling_, because this might be disallowed in every
-        // case except the internal munition replenishing
-        bool temp = this->bAllowMunitionRefilling_;
-        this->bAllowMunitionRefilling_ = true;
-
-        // Replenish munition
-        this->addMunition(this->replenishMunitionAmount_);
-
-        // Write back the temporary value
-        this->bAllowMunitionRefilling_ = temp;
-    }
-}
Index: code/branches/presentationHS15/src/modules/weapons/munitions/ReplenishingMunition.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/ReplenishingMunition.h	(revision 10959)
+++ 	(revision )
@@ -1,70 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file ReplenishingMunition.h
-    @brief Definition of the ReplenishingMunition class.
-*/
-
-#ifndef _ReplenishingMunition_H__
-#define _ReplenishingMunition_H__
-
-#include "weapons/WeaponsPrereqs.h"
-
-#include "tools/Timer.h"
-#include "weaponsystem/Munition.h"
-
-namespace orxonox
-{
-
-    /**
-    @brief
-        Munition that is replenished by a certain amount each time interval.
-    @author
-        Fabian 'x3n' Landau
-    @ingroup WeaponsMunitions
-    */
-    class _WeaponsExport ReplenishingMunition : public Munition
-    {
-        public:
-            ReplenishingMunition(Context* context);
-            virtual ~ReplenishingMunition() {}
-
-        protected:
-            float replenishInterval_; //!< The interval in which the munition is replenished.
-            unsigned int replenishMunitionAmount_; //!< The amount by which it is replenished.
-
-        private:
-            void replenish();
-            void initializeTimer();
-
-            Timer replenishingTimer_; //!< Timer to do the replenishing.
-    };
-}
-
-#endif /* _ReplenishingMunition_H__ */
Index: code/branches/presentationHS15/src/modules/weapons/munitions/RocketMunition.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/RocketMunition.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/RocketMunition.cc	(revision 10961)
@@ -28,5 +28,5 @@
 
 /**
-    @file RocketMunition.h
+    @file RocketMunition.cc
     @brief Implementation of the RocketMunition class.
 */
@@ -34,4 +34,5 @@
 #include "RocketMunition.h"
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 
 namespace orxonox
@@ -45,11 +46,17 @@
         this->maxMunitionPerMagazine_ = 1;
         this->maxMagazines_ = 30;
-        this->magazines_ = 10;
+        this->unassignedMagazines_ = 10;
 
-        this->bUseSeparateMagazines_ = false;
-        this->bStackMunition_ = true;
+        this->deployment_ = MunitionDeployment::Stack;
 
-        this->bAllowMunitionRefilling_ = false;
+        this->bAllowMunitionRefilling_ = true;
         this->bAllowMultiMunitionRemovementUnderflow_ = false;
+
+        this->reloadTime_ = 0.5f;
+    }
+
+    void RocketMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(RocketMunition, XMLPort, xmlelement, mode);
     }
 }
Index: code/branches/presentationHS15/src/modules/weapons/munitions/RocketMunition.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/RocketMunition.h	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/RocketMunition.h	(revision 10961)
@@ -53,4 +53,5 @@
             RocketMunition(Context* context);
             virtual ~RocketMunition() {}
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/presentationHS15/src/modules/weapons/munitions/SplitMunition.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/SplitMunition.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/SplitMunition.cc	(revision 10961)
@@ -28,5 +28,5 @@
 
 /**
-    @file SplitMunition.h
+    @file SplitMunition.cc
     @brief Implementation of the SplitMunition class.
 */
@@ -34,4 +34,5 @@
 #include "SplitMunition.h"
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 
 namespace orxonox
@@ -43,13 +44,19 @@
         RegisterObject(SplitMunition);
 
-        this->maxMunitionPerMagazine_ = 1;
-        this->maxMagazines_ = 100;
-        this->magazines_ = 25;
+        this->maxMunitionPerMagazine_ = 5;
+        this->maxMagazines_ = 10;
+        this->unassignedMagazines_ = 5;
 
-        this->bUseSeparateMagazines_ = false;
-        this->bStackMunition_ = true;
+        this->deployment_ = MunitionDeployment::Share;
 
         this->bAllowMunitionRefilling_ = true;
         this->bAllowMultiMunitionRemovementUnderflow_ = false;
+
+        this->reloadTime_ = 0.5f;
+    }
+
+    void SplitMunition::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(SplitMunition, XMLPort, xmlelement, mode);
     }
 }
Index: code/branches/presentationHS15/src/modules/weapons/munitions/SplitMunition.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/munitions/SplitMunition.h	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/munitions/SplitMunition.h	(revision 10961)
@@ -53,4 +53,5 @@
             SplitMunition(Context* context);
             virtual ~SplitMunition() {}
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
     };
 }
Index: code/branches/presentationHS15/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 10961)
@@ -68,5 +68,5 @@
     @brief
         The function called when a projectile hits another thing.
-        Calls the hit-function, starts the reload countdown, displays visual hit effects defined in Pawn.
+        Calls the hit-function, starts the shield recharge countdown, displays visual hit effects defined in Pawn.
         Needs to be called in the collidesAgainst() function by every Class directly inheriting from BasicProjectile.
     @param otherObject
@@ -97,5 +97,5 @@
             {
                 victim->hit(this->getShooter(), contactPoint, cs, this->getDamage(), this->getHealthDamage(), this->getShieldDamage());
-                victim->startReloadCountdown();
+                victim->startShieldRechargeCountdown();
             }
 
Index: code/branches/presentationHS15/src/modules/weapons/projectiles/GravityBombField.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/projectiles/GravityBombField.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/projectiles/GravityBombField.cc	(revision 10961)
@@ -164,5 +164,4 @@
         if (lifetime_ <= -4)
         {
-            orxout(debug_output) << "Timeout. Destroying field." << endl;
             this->destroy();
         }
Index: code/branches/presentationHS15/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/projectiles/Rocket.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/projectiles/Rocket.cc	(revision 10961)
@@ -66,5 +66,5 @@
 
         this->localAngularVelocity_ = 0;
-        this->lifetime_ = 100.0f;
+        this->lifetime_ = 20.0f;
 
         if (GameMode::isMaster())
@@ -76,5 +76,5 @@
             Model* model = new Model(this->getContext());
             model->setMeshSource("rocket.mesh");
-            model->scale(0.7f);
+            model->scale(1.0f);
             this->attach(model);
 
@@ -100,6 +100,4 @@
             this->attachCollisionShape(collisionShape);
 
-            this->destroyTimer_.setTimer(this->lifetime_, false, createExecutor(createFunctor(&BasicProjectile::destroyObject, this)));
-
             // Add sound
             this->defSndWpnEngine_ = new WorldSound(this->getContext());
@@ -114,4 +112,6 @@
             this->defSndWpnLaunch_->setVolume(1.0f);
             this->attach(defSndWpnLaunch_);
+
+            this->setHudTemplate("rockethud");
         }
         else
@@ -320,3 +320,13 @@
     }
 
+    float Rocket::getFuel() const
+    {
+        return this->destroyTimer_.getRemainingTime();
+    }
+
+    void Rocket::setMaxFuel(float fuel)
+    {
+        this->lifetime_ = fuel;
+        this->destroyTimer_.setTimer(this->lifetime_, false, createExecutor(createFunctor(&BasicProjectile::destroyObject, this)));
+    }
 }
Index: code/branches/presentationHS15/src/modules/weapons/projectiles/Rocket.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/projectiles/Rocket.h	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/projectiles/Rocket.h	(revision 10961)
@@ -118,4 +118,15 @@
             virtual void fired(unsigned int firemode);
 
+            /**
+            @brief Set the maximum lifetime of the rocket.
+            */
+            virtual void setMaxFuel(float fuel);
+            /**
+            @brief Get the maximum lifetime of the rocket.
+            */
+            inline float getMaxFuel() const
+                { return lifetime_; }
+            virtual float getFuel() const;
+
         private:
             Vector3 localAngularVelocity_; //!< Variable to temporarily store accumulated steering command input.
Index: code/branches/presentationHS15/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 10961)
@@ -76,5 +76,5 @@
             Model* model = new Model(this->getContext());
             model->setMeshSource("rocket.mesh");
-            model->scale(0.7f);
+            model->scale(1.0f);
             this->attach(model);
 
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 10961)
@@ -63,4 +63,6 @@
         this->delayTimer_.setTimer(1.0f, false, createExecutor(createFunctor(&EnergyDrink::shot, this)));
         this->delayTimer_.stopTimer();
+
+        hudImageString_ = "Orxonox/WSHUD_WM_EnergyDrink";
     }
 
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 10961)
@@ -58,4 +58,6 @@
 
         this->setMunitionName("FusionMunition");
+
+        hudImageString_ = "Orxonox/WSHUD_WM_FusionFire";
     }
 
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/GravityBombFire.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/GravityBombFire.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/GravityBombFire.cc	(revision 10961)
@@ -31,4 +31,6 @@
         this->setMunitionName("GravityBombMunition");
         this->setDefaultSoundWithVolume("sounds/Rocket_launch.ogg",0.8);    ///< sets sound of the bomb as it is fired.
+
+        hudImageString_ = "Orxonox/WSHUD_WM_GravityBombFire";
     }
 
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/HsW01.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/HsW01.cc	(revision 10961)
@@ -69,4 +69,6 @@
 
         this->setDefaultSound(this->sound_);
+
+        hudImageString_ = "Orxonox/WSHUD_WM_HsW01";
     }
 
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/IceGun.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/IceGun.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/IceGun.cc	(revision 10961)
@@ -59,6 +59,8 @@
         this->setFreezeFactor(0.5);
 
-        this->setMunitionName("LaserMunition");
+        this->setMunitionName("IceMunition");
         this->setDefaultSound("sounds/Weapon_LightningGun.ogg");
+
+        hudImageString_ = "Orxonox/WSHUD_WM_IceGun";
     }
 
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 10961)
@@ -56,4 +56,6 @@
 
         this->setMunitionName("LaserMunition");
+
+        hudImageString_ = "Orxonox/WSHUD_WM_LaserFire";
     }
 
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 10961)
@@ -54,6 +54,8 @@
         this->speed_ = 750.0f;
 
-        this->setMunitionName("LaserMunition");
+        this->setMunitionName("LightningMunition");
         this->setDefaultSound("sounds/Weapon_LightningGun.ogg");
+
+        hudImageString_ = "Orxonox/WSHUD_WM_LightningGun";
     }
 
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/RocketFire.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 10961)
@@ -41,5 +41,5 @@
 #include "weaponsystem/WeaponSystem.h"
 #include "worldentities/pawns/Pawn.h"
-
+#include "core/XMLPort.h"
 #include "weapons/projectiles/Rocket.h"
 
@@ -56,11 +56,25 @@
         this->damage_ = 0.0f;
         this->speed_ = 500.0f;
+        this->fuel_ = 10.0f;
 
         this->setMunitionName("RocketMunition");
         // The firing sound of the Rocket is played in Rocket.cc (because of OpenAl sound positioning)
+
+        hudImageString_ = "Orxonox/WSHUD_WM_RocketFire";
     }
 
     RocketFire::~RocketFire()
     {
+    }
+
+    /**
+    @brief
+        XMLPort for the RocketFire. You can define the maximum lifetime of the rockets
+    */
+    void RocketFire::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(RocketFire, XMLPort, xmlelement, mode);
+
+        XMLPortParam(RocketFire, "fuel", setFuel, getFuel, xmlelement, mode);
     }
 
@@ -77,5 +91,5 @@
         rocket->setPosition(this->getMuzzlePosition());
         rocket->setVelocity(this->getMuzzleDirection() * this->speed_);
-        rocket->scale(2);
+        rocket->scale(1.0f);
 
         rocket->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
@@ -83,4 +97,5 @@
         rocket->setShieldDamage(this->getShieldDamage());
         rocket->setHealthDamage(this->getHealthDamage());
+        rocket->setMaxFuel(this->fuel_);
     }
 }
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/RocketFire.h
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/RocketFire.h	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/RocketFire.h	(revision 10961)
@@ -54,8 +54,15 @@
             virtual ~RocketFire();
 
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
             virtual void fire();
+            inline void setFuel(float fuel)
+                { this->fuel_ = fuel; }
+            inline float getFuel() const
+                { return this->fuel_; }
 
         private:
             float speed_; //!< The speed of the Rocket.
+            float fuel_; //!< The maximum lifetime of the rocket
     };
 }
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/RocketFireOld.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/RocketFireOld.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/RocketFireOld.cc	(revision 10961)
@@ -59,4 +59,6 @@
         this->setMunitionName("RocketMunition");
         // The firing sound of the Rocket is played in Rocket.cc (because of OpenAl sound positioning)
+
+        hudImageString_ = "Orxonox/WSHUD_WM_SimpleRocketFire";
     }
 
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/SimpleRocketFire.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 10961)
@@ -64,4 +64,6 @@
         this->setDefaultSoundWithVolume("sounds/Rocket_launch.ogg",0.4f);
         // The firing sound of the Rocket is played in Rocket.cc (because of OpenAl sound positioning)
+
+        hudImageString_ = "Orxonox/WSHUD_WM_SimpleRocketFire";
     }
 
@@ -83,4 +85,5 @@
         rocket->setVelocity(this->getMuzzleDirection()*this->speed_);
         rocket->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        rocket->scale(1.0f);
 
         rocket->setDamage(this->damage_);
@@ -89,5 +92,6 @@
 
         WorldEntity* pawn = static_cast<ControllableEntity*>(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn())->getTarget();
-        if (pawn) controller->setTarget(pawn);
+        if (pawn)
+            controller->setTarget(pawn);
     }
 }
Index: code/branches/presentationHS15/src/modules/weapons/weaponmodes/SplitGun.cc
===================================================================
--- code/branches/presentationHS15/src/modules/weapons/weaponmodes/SplitGun.cc	(revision 10959)
+++ code/branches/presentationHS15/src/modules/weapons/weaponmodes/SplitGun.cc	(revision 10961)
@@ -35,5 +35,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"    
+#include "core/XMLPort.h"
 #include "weaponsystem/Weapon.h"
 #include "weaponsystem/WeaponPack.h"
@@ -62,4 +62,6 @@
         this->setMunitionName("SplitMunition");
         this->setDefaultSound("sounds/Weapon_LightningGun.ogg");
+
+        hudImageString_ = "Orxonox/WSHUD_WM_SplitGun";
     }
 
